Bug 41220 - [PATCH] Minor sk driver enhancements
Summary: [PATCH] Minor sk driver enhancements
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 4.4-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bjoern A. Zeeb
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-08-01 07:00 UTC by leres
Modified: 2005-04-25 11:24 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.88 KB, patch)
2002-08-01 07:00 UTC, leres
no flags Details | Diff
file.diff (701 bytes, patch)
2002-08-01 07:00 UTC, leres
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description leres 2002-08-01 07:00:02 UTC
	It's very useful for packet capture applications to be able
	to increase the interrupt moderation value without recompiling
	the kernel.
	
	SK_JSLOTS should be defined as a function of SK_RX_RING_CNT
	so that increasing SK_RX_RING_CNT automatically allocates
	enough jumbo buffers.

Fix: The appended context diffs adds a sysctl variable that
	allows the interrupt moderation value to be changed at run
	time and also changes the SK_JSLOTS define to calculate
	its value based on the number of receive descriptors.

==============================================================================
Comment 1 keramida freebsd_committer 2002-08-20 21:30:59 UTC
Responsible Changed
From-To: gnats-admin->freebsd-bugs

Refile this under a proper category.
Comment 2 ceri freebsd_committer 2004-11-03 22:04:20 UTC
Responsible Changed
From-To: freebsd-bugs->bz

Over to bz to evaluate - he touched it last.
Comment 3 Bjoern A. Zeeb freebsd_committer 2005-03-20 12:48:43 UTC
State Changed
From-To: open->patched

Patch comitted to HEAD with minor modifications for up-to-date HEAD. 
If you can please test.
Comment 4 leres 2005-03-24 02:42:40 UTC
I built a test system using 5.3-RELEASE. The card I used (a Syskonnect
SK-9844 -- a dual SX) had the "no PHY found!" problem until I applied
the the dev/mii/mii.c patch found in this bug report:

    http://www.freebsd.org/cgi/query-pr.cgi?pr=i386/63313

Once I verified the card worked in a stock configuration, I grabbed
current versions of if_sk.c (1.102) and if_skreg.h (1.10).
BUS_PROBE_DEFAULT is missing in 5.3-RELEASE so I changed the
occurances to 0 and then that version compiled and worked.

As far as I'm concerned you can close this PR (thanks!)

		Craig
Comment 5 Bjoern A. Zeeb freebsd_committer 2005-04-25 11:21:33 UTC
State Changed
From-To: patched->closed

Committed to HEAD with if_sk.c rev. 1.101, if_skreg.h rev. 1.27. 
Manpage updated. 
Thanks for testing.